#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int m[n][2];
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<2; j++)
        {
            cin>>m[i][j];
        }
    }
    int a[n];
    for(int i=0; i<n; i++)
    {
        a[i]=m[i][0];
    }
    int b[n];
    for(int i=0; i<n; i++)
    {
        b[i]=m[i][1];
    }
    double aa=0;
    for(int i=0; i<n; i++)
    {
        aa=aa+a[i];
    }
    double bb=0;
    for(int i=0; i<n; i++)
    {
        bb=bb+b[i];
    }
    int maxpom=0;
    for(int i=0; i<n; i++)
    {
        maxpom=maxpom+i;
    }
    //cout<<"AA"<<aa;
    //cout<<"BB"<<bb;
    double testa=aa/n;
    double testb=bb/n;
    //cout<<testa<<" "<<testb;
    //cout<<"MAXPOM"<<maxpom;
    if(testa==1||testb==1) cout<<n;
    else if(aa==maxpom+n&&bb==maxpom+n)cout<<0;
    else
    {
        if(aa/n!=1)
        {
            int prosa=0;
            for(int i=0; i<n; i++)
            {
                prosa=prosa+a[i];
            }
            prosa=round(prosa/n);
            int odstupa=0;
            for(int i=0; i<n; i++)
            {
                if(a[i]!=prosa)odstupa=odstupa+abs(a[i]-prosa);
                //cout<<"BROJ:"<<a[i];
            }
            //cout<<"PROSA"<<prosa;
            //cout<<"ODSTUPA"<<odstupa;
            int konacna=maxpom-odstupa;
            if(konacna<0)konacna=konacna*(-1);
            cout<<konacna;
            //cout<<"U PRVOJ SAM"<<endl;
        }
        else if(bb/n!=1)
        {
            int prosb=0;
            for(int i=0; i<n; i++)
            {
                prosb=prosb+b[i];
            }
            prosb=round(prosb/n);
            int odstupb=0;
            for(int i=0; i<n; i++)
            {
                if(b[i]!=prosb)odstupb=odstupb+abs(b[i]-prosb);
            }
            //cout<<"PROSB"<<prosb;
            //cout<<"U DRUGOJ SAM"<<endl;
            int konacnb=maxpom-odstupb;
            if(konacnb<0)konacnb=konacnb*(-1);
            cout<<konacnb;

        }
    }
    return 0;
}